<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.infinispan.cache-container.local-cache.store.file" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="path,relative-to,max-batch-size,passivation,preload,purge,shared,segmented,properties,fetch-state"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,local-cache,store"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache.store.$cache-container.$local-cache"/>
    </provides>
    <requires>
        <capability name="org.wildfly.management.path.$relative-to" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.infinispan.cache-container.local-cache"/>
        <ref feature="subsystem.infinispan.cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="shared" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="local-cache" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="passivation" nillable="true" stability="default"/>
        <param name="purge" nillable="true" stability="default"/>
        <param name="store" feature-id="true" default="file"/>
        <param name="segmented" nillable="true" stability="default"/>
        <param name="max-batch-size" nillable="true" stability="default"/>
        <param name="preload" nillable="true" stability="default"/>
        <param name="path" nillable="true" stability="default"/>
        <param name="fetch-state" nillable="true" stability="default"/>
        <param name="relative-to" nillable="true" stability="default"/>
        <param name="properties" nillable="true" stability="default"/>
    </params>
</feature-spec>